Loading...
Searching...
No Matches
_starpu_combined_worker Struct Reference

## Data Fields

struct starpu_perfmodel_arch | perf_arch
uint32_t | worker_mask
int | worker_size
unsigned | memory_node
int | combined_workerid [STARPU_NMAXWORKERS]
hwloc_bitmap_t | hwloc_cpu_set
char | padding [STARPU_CACHELINE_SIZE]

## Field Documentation

## perf_arch

struct starpu_perfmodel_arch _starpu_combined_worker::perf_arch

in case there are different models of the same arch

## worker_mask

uint32_t _starpu_combined_worker::worker_mask

what is the type of workers ?

## worker_size

int _starpu_combined_worker::worker_size

## memory_node

unsigned _starpu_combined_worker::memory_node

which memory node is associated that worker to ?

## combined_workerid

int _starpu_combined_worker::combined_workerid[STARPU_NMAXWORKERS]

## hwloc_cpu_set

hwloc_bitmap_t _starpu_combined_worker::hwloc_cpu_set

## padding

char _starpu_combined_worker::padding[STARPU_CACHELINE_SIZE]

Keep this last, to make sure to separate worker data in separate cache lines.

The documentation for this struct was generated from the following file:

- workers.h